| OpenGLRaw-1.1.0.1: A raw binding for the OpenGL graphics system | Source code | Contents | Index

Graphics.Rendering.OpenGL.Raw.ARB.MapBufferRange

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de

Contents

Functions
Tokens

Description
All raw functions and tokens from the ARB_map_buffer_range extension, see http://www.opengl.org/registry/specs/ARB/map_buffer_range.txt.
Synopsis

glMapBufferRange :: GLenum -> GLintptr -> GLsizeiptr -> GLbitfield -> IO (Ptr a)
glFlushMappedBufferRange :: GLenum -> GLintptr -> GLsizeiptr -> IO ()
gl_MAP_READ_BIT :: GLenum
gl_MAP_WRITE_BIT :: GLenum
gl_MAP_INVALIDATE_RANGE_BIT :: GLenum
gl_MAP_INVALIDATE_BUFFER_BIT :: GLenum
gl_MAP_FLUSH_EXPLICIT_BIT :: GLenum
gl_MAP_UNSYNCHRONIZED_BIT :: GLenum

Functions

glMapBufferRange :: GLenum -> GLintptr -> GLsizeiptr -> GLbitfield -> IO (Ptr a) | Source

glFlushMappedBufferRange :: GLenum -> GLintptr -> GLsizeiptr -> IO () | Source

Tokens

gl_MAP_READ_BIT :: GLenum | Source

gl_MAP_WRITE_BIT :: GLenum | Source

gl_MAP_INVALIDATE_RANGE_BIT :: GLenum | Source

gl_MAP_INVALIDATE_BUFFER_BIT :: GLenum | Source

gl_MAP_FLUSH_EXPLICIT_BIT :: GLenum | Source

gl_MAP_UNSYNCHRONIZED_BIT :: GLenum | Source

Produced by Haddock version 2.4.2